LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XPropertySetRegistry Interface Referencepublished

A registry (storage medium) for persistent property sets. More...

`import"XPropertySetRegistry.idl";`

Inheritance diagram for XPropertySetRegistry:

## Public Member Functions
com::sun::star::ucb::XPersistentPropertySet | openPropertySet ([in] string key, [in] boolean create)
| creates a new or opens an existing property set in the registry. More...
void | removePropertySet ([in] string key)
| removes a property set from the registry. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A registry (storage medium) for persistent property sets.

Version
  1.0

Author
  Kai Sommerfeld

See also
  XPersistentPropertySet

## Member Function Documentation

## ◆ openPropertySet()

com::sun::star::ucb::XPersistentPropertySet openPropertySet | ( | [in] string | key,
|  | [in] boolean | create
| ) |  |

creates a new or opens an existing property set in the registry.

Parameters

  key | The key to use for addressing the property set.
  create | Indicates whether a new set shall be created in case there does not already exist one for the given key.

Returns
  The property set.

## ◆ removePropertySet()

void removePropertySet | ( | [in] string | key | ) |

removes a property set from the registry.

Parameters

  key | The key to use for addressing the property set.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XPropertySetRegistry.idl